{
    attributes = (
        {
            columnName = COMB_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = COMU_ID; }; 
            name = combId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = COMM_ID_DESTINATION; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = UTL_ORDRE; }; 
            name = commIdDestination; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = COMM_ID_ORIGINE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = COMM_ID; }; 
            name = commIdOrigine; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (combId, commIdOrigine, commIdDestination); 
    className = org.cocktail.fwkcktldepense.server.metier.EOCommandeBascule; 
    classProperties = (commandeOrigine, commandeDestination); 
     externalName = JEFY_DEPENSE.COMMANDE_BASCULE; 
    internalInfo = {
        _clientClassPropertyNames = (commande, engagementBudget, utilisateur, commandeDestination, commandeOrigine); 
        _javaClientClassName = org.cocktail.fwkcktldepense.client.metier.EOCommandeBascule; 
    }; 
    name = FwkCaramboleCommandeBascule; 
    primaryKeyAttributes = (combId); 
    relationships = (
        {
            destination = FwkCaramboleCommande; 
            internalInfo = {_nameInObjectStore = utilisateur; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = commId; sourceAttribute = commIdDestination; }); 
            name = commandeDestination; 
        }, 
        {
            destination = FwkCaramboleCommande; 
            internalInfo = {_nameInObjectStore = commande; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = commId; sourceAttribute = commIdOrigine; }); 
            name = commandeOrigine; 
        }
    ); 
}
